### Type parameters

- #### TNode: Node

### Hierarchy

- NodeList
  - NodeListOf

### Indexable

[index: number]: Node

## Index

### Properties

- NodeList
- length

### Methods

- __@iterator
- entries
- forEach
- item
- keys
- values

## Properties

### NodeList

NodeList: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10584

#### Type declaration

- ##### constructor: function

  - new __type(): NodeList
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10585

    #### Returns NodeList

- ##### prototype: NodeList

### length

length: number

Overrides NodeList.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10590

## Methods

### __@iterator

- __@iterator(): IterableIterator<Node>

- Inherited from NodeList.__@iterator

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:132

  #### Returns IterableIterator<Node>

### entries

- entries(): IterableIterator<[number, Node]>

- Inherited from NodeList.entries

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:136

  Returns an array of key, value pairs for every entry in the list.

  #### Returns IterableIterator<[number, Node]>

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- Overrides NodeList.forEach

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10597

  Performs the specified action for each node in an list.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the list.

    - - (value: TNode, key: number, parent: NodeListOf<TNode>): void

      - #### Parameters

        - ##### value: TNode

        - ##### key: number

        - ##### parent: NodeListOf<TNode>

        #### Returns void

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns void

### item

- item(index: number): TNode

- Overrides NodeList.item

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10591

  #### Parameters

  - ##### index: number

  #### Returns TNode

### keys

- keys(): IterableIterator<number>

- Inherited from NodeList.keys

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:140

  Returns an list of keys in the list.

  #### Returns IterableIterator<number>

### values

- values(): IterableIterator<Node>

- Inherited from NodeList.values

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:144

  Returns an list of values in the list.

  #### Returns IterableIterator<Node>

Generated using TypeDoc